<?php
//
// Created on: 15 Mar 2001
// Usage     : btsmeasfilter.php?language="eng|gb"&bssid=3
//
// Function  : Display the filter options 
//
//
?>
<?php
include("nocache.inc");
include("btsmeasfilter.inc");
if (!isset($language))
    $language="eng";
$parameter="${language}namearray";
?>
<HTML>
<HEAD>
<SCRIPT language="JavaScript" type="text/javascript">
<!--
    function btsmeasfind()
    {
        var perbssid=document.btsmeasfilterform.perbssid.value;

        url="btsmeasurements.php?language=<?=$language?>";
        if ((perbssid < 12) && (perbssid >= 0) && ( document.btsmeasfilterform.perbssid.value != '' ))
            url += "&perBssid=" + document.btsmeasfilterform.perbssid.value;
        else
            document.btsmeasfilterform.perbssid.value='';
        if ( document.btsmeasfilterform.percellid.value != '' )
            url += "&perCellid=" + document.btsmeasfilterform.percellid.value;
        if ( document.btsmeasfilterform.perstartperiod.value != '2001-01-01 00:00:00' )
            url += "&perStartPeriod=" + document.btsmeasfilterform.perstartperiod.value;
        if ( document.btsmeasfilterform.perendperiod.value != '2001-01-01 00:00:00' )
            url += "&perEndPeriod=" + document.btsmeasfilterform.perendperiod.value;
        parent.bottom.location.href=url;
    }
//-->
</SCRIPT>
</HEAD>
<?include("header.inc");?>
<TABLE border=1 cellpadding=0 cellspacing=0
bordercolor=#000000 bordercolordark=#FFFFFF bordercolorlight=#000000 width=800>
  <FORM name=btsmeasfilterform>
  <TR>
  <TD> <?=${$parameter}[bssid]?><br>
    <INPUT type=text name=perbssid size=2>
  </TD>
  <TD> <?=${$parameter}[cellid]?><br>
    <INPUT type=text name=percellid size=12>
  </TD>
  <TD> <?=${$parameter}[startperiod]?><br>
    <INPUT type=text name=perstartperiod size=19 value='2001-01-01 00:00:00'>
  </TD>
  <TD> <?=${$parameter}[endperiod]?><br>
    <INPUT type=text name=perendperiod size=19 value='2001-01-01 00:00:00'>
  </TD>
  <TD><BR>
<?php
echo "<INPUT type=button value='{${$parameter}[find]}' " .
    "onClick='javascript:btsmeasfind()'>";
if (isset($bssid))
    echo "<INPUT type=button value='{${$parameter}[back]}' " .
        "onClick='javascript:parent.location.href=" .
        "\"modifyBssParam.php?language=$language&bssid=$bssid\"'>";
else
    echo "<INPUT type=button value='{${$parameter}[back]}' " .
        "onClick='javascript:parent.location.href=" .
        "\"GUI/PACS OMC_files/sys_status_index_files/sys_status_down.html\"'>";
?>
  </TD>
  </TR>
  </FORM>
</TABLE>
</HTML>
